Page MenuHomeMiraheze

pdf export (mediawiki ElectronPdfService) @jcswiki
Closed, DuplicatePublic

Description

Dear Sysops and mantainers,

i love your project and its a wunderful service. My little wiki just start to grow in a school.

The teachers asked for an option to export pdf of a specific wiki-article. Print pdf is not a good solution, but i found this one: https://www.mediawiki.org/wiki/Extension:ElectronPdfService

Maybe it's worth a shot?

Event Timeline

Seik created this task.Dec 29 2017, 18:58

@Seik Would https://mediawiki.org/wiki/Extension:PdfHandler or https://mediawiki.org/wiki/Extension:PdfEmbed work instead?

If not, the extension you have asked for will have to be security reviewed.

Seik added a comment.EditedJan 2 2018, 21:54

@Reception123

i'm afraid these extensions just provide support for showing pdf-files inside wiki-pages.

Bit i would like to export a wiki-page to PDF!

Seik added a comment.Jan 16 2018, 20:00
This comment was removed by Seik.
Seik added a project: Extensions.
Lev added a subscriber: Lev.Jan 17 2018, 14:15

This shouldn't require security review since the extension is used in all Wikimedia projects for generating PDFs by default, so they should've done enough security checks on their own.

Oh, I wasn't aware.

I will install this extension soon (if no one else does).

Seik added a comment.EditedJan 20 2018, 16:09

hello @Reception123 ,

that sounds great! I hope it's not a big deal and we could use this great function soon..

(maybe there is some service called electron or proton to be installed?)

Reception123 closed this task as Resolved.EditedJan 21 2018, 10:52
Reception123 removed a project: Extension-Review.
Reception123 claimed this task.

@Seik Sorry this took so long. I've now installed it, enabled it on your wiki

Seik added a comment.Jan 21 2018, 11:18

@Reception123

Sorry it does not work for me!

Reception123 reopened this task as Open.Jan 21 2018, 11:47

Hmm, yes. Apparently, it needs more configuration for storing the files. I will take a look.

Seik added a comment.Jan 22 2018, 21:14

any news? Sadly, pdf-export is still not working..

If i choose the pdf-export-link, the site won't work: https://wiki.gesamtschule-nordkirchen.de/w/index.php?title=Spezial:ElectronPdf&page=JCS-Wiki&action=redirect-to-electron

But removing the last string (https://wiki.gesamtschule-nordkirchen.de/w/index.php?title=Spezial:ElectronPdf&page=JCS-Wiki) i can choose between 2 options. But neither of them work..

Nils

Yes, this needs an electron service, which will have to be installed

@John Do you know how I need to install https://github.com/msokk/electron-render-service? Is it individual on servers, or can it be managed by Puppet somehow?

John added a comment.Jan 23 2018, 09:38

https://github.com/msokk/electron-render-service/blob/master/README.md

It’s another service like Parsoid.

Can be puppetised but we don’t handle nodejs services, WMF does though.

@John so it would have to be set up in the same way that parsoid is? Would it need another server, or could it run on misc1/2 or parsoid1? And how can Nodejs be set up?

John added a comment.Jan 23 2018, 16:36

https://github.com/wikimedia/puppet/tree/production/modules/pdfrender is the WMF module, never used nodejs services before so I’m useless in support tbh.

Probably could be ran on a misc* if capacity exists. Parsoid1 is parsoid only so no.

Reception123 mentioned this in Unknown Object (Diffusion Commit).Jan 25 2018, 20:46
Seik added a comment.Feb 21 2018, 02:17

any news? would be great

Paladox closed this task as Resolved.May 3 2018, 22:25
Paladox added a subscriber: Paladox.

This is now working.

Paladox reopened this task as Open.May 3 2018, 23:07

Actually nope, restbase does not currently support private wiki's tracked at https://phabricator.wikimedia.org/T88016

John changed the task status from Open to Stalled.
John lowered the priority of this task from Normal to Low.
MacFan4000 raised the priority of this task from Low to Normal.May 14 2018, 14:54
John lowered the priority of this task from Normal to Low.May 14 2018, 14:59

upstream blocked tasks are low

MacFan4000 removed Reception123 as the assignee of this task.May 17 2018, 13:36